com.thinkaurelius.titan.diskstorage.locking.consistentkey

## Class ExpectedValueCheckingStoreManager

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.keycolumnvalue.KCVSManagerProxy
  - - com.thinkaurelius.titan.diskstorage.locking.consistentkey.ExpectedValueCheckingStoreManager

- All Implemented Interfaces:
    KeyColumnValueStoreManager, StoreManager

      public class ExpectedValueCheckingStoreManager
      extends KCVSManagerProxy

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.KCVSManagerProxy

      `manager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpectedValueCheckingStoreManager(KeyColumnValueStoreManager storeManager, String lockStoreSuffix, LockerProvider lockerProvider, Duration maxReadTime)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpectedValueCheckingTransaction` | `beginTransaction(BaseTransactionConfig configuration)` Returns a transaction handle for a new transaction according to the given configuration.
    `StoreFeatures` | `getFeatures()` Returns the features supported by this storage manager
    `void` | `mutateMany(Map<String,Map<StaticBuffer,KCVMutation>> mutations, StoreTransaction txh)` Executes multiple mutations at once.
    `KeyColumnValueStore` | `openDatabase(String name)` Opens an ordered database by the given name.

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.keycolumnvalue.KCVSManagerProxy

      `clearStorage, close, getLocalKeyPartition, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpectedValueCheckingStoreManager

          public ExpectedValueCheckingStoreManager(KeyColumnValueStoreManager storeManager,
                                           String lockStoreSuffix,
                                           LockerProvider lockerProvider,
                                           Duration maxReadTime)

  - ### Method Detail

    - #### openDatabase

          public KeyColumnValueStore openDatabase(String name)
                                           throws BackendException

      Description copied from interface: `KeyColumnValueStoreManager`
      Opens an ordered database by the given name. If the database does not exist, it is created. If it has already been opened, the existing handle is returned.
      Specified by:
        `openDatabase` in interface `KeyColumnValueStoreManager`
      Overrides:
        `openDatabase` in class `KCVSManagerProxy`
      Parameters:
        `name` - Name of database
      Returns:
        Database Handle
      Throws:
        `BackendException`

    - #### mutateMany

          public void mutateMany(Map<String,Map<StaticBuffer,KCVMutation>> mutations,
                        StoreTransaction txh)
                          throws BackendException

      Description copied from interface: `KeyColumnValueStoreManager`
      Executes multiple mutations at once. For each store (identified by a string name) there is a map of (key,mutation) pairs that specifies all the mutations to execute against the particular store for that key. This is an optional operation. Check `StoreManager.getFeatures()` if it is supported by a particular implementation.
      Specified by:
        `mutateMany` in interface `KeyColumnValueStoreManager`
      Overrides:
        `mutateMany` in class `KCVSManagerProxy`
      Throws:
        `BackendException`

    - #### beginTransaction

          public ExpectedValueCheckingTransaction beginTransaction(BaseTransactionConfig configuration)
                                                            throws BackendException

      Description copied from interface: `StoreManager`
      Returns a transaction handle for a new transaction according to the given configuration.
      Specified by:
        `beginTransaction` in interface `StoreManager`
      Overrides:
        `beginTransaction` in class `KCVSManagerProxy`
      Returns:
        New Transaction Handle
      Throws:
        `BackendException`

    - #### getFeatures

          public StoreFeatures getFeatures()

      Description copied from interface: `StoreManager`
      Returns the features supported by this storage manager
      Specified by:
        `getFeatures` in interface `StoreManager`
      Overrides:
        `getFeatures` in class `KCVSManagerProxy`
      Returns:
        The supported features of this storage manager
      See Also:
        `StoreFeatures`

Copyright © 2012–2014. All rights reserved.